automatic_updates.update_readiness:
  path: '/admin/automatic_updates/readiness'
  defaults:
    _controller: '\Drupal\automatic_updates\Controller\ReadinessCheckerController::run'
    _title: 'Update readiness checking'
  requirements:
    _permission: 'administer software updates'
automatic_updates.confirmation_page:
  path: '/admin/automatic-update-ready'
  defaults:
    _form: '\Drupal\automatic_updates\Form\UpdateReady'
    _title: 'Ready to update'
  requirements:
    _permission: 'administer software updates'
    _access_update_manager: 'TRUE'
# Links to our updater form appear in two different sets of local tasks. To ensure the breadcrumbs and paths are
# consistent with the other local tasks in each set, we need two separate routes to the same form.
automatic_updates.report_update:
  path: '/admin/reports/updates/automatic-update'
  defaults:
    _form: '\Drupal\automatic_updates\Form\UpdaterForm'
    _title: 'Update'
  requirements:
    _permission: 'administer software updates'
  options:
    _admin_route: TRUE
automatic_updates.module_update:
  path: '/admin/modules/automatic-update'
  defaults:
    _form: '\Drupal\automatic_updates\Form\UpdaterForm'
    _title: 'Update'
  requirements:
    _permission: 'administer software updates'
  options:
    _admin_route: TRUE
automatic_updates.theme_update:
  path: '/admin/theme/automatic-update'
  defaults:
    _form: '\Drupal\automatic_updates\Form\UpdaterForm'
    _title: 'Update'
  requirements:
    _permission: 'administer software updates'
  options:
    _admin_route: TRUE
